org.apache.uima.fit.descriptor

## Class FsIndex.NoClassSet

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImpl
  - - org.apache.uima.jcas.cas.TOP
    - - org.apache.uima.fit.descriptor.FsIndex.NoClassSet

- All Implemented Interfaces:
    Cloneable, org.apache.uima.cas.FeatureStructure
  Enclosing class:
    FsIndex

      public static final class FsIndex.NoClassSet
      extends org.apache.uima.jcas.cas.TOP

  Indicates that no type has been set.

- - ### Field Summary

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP

      `addr, jcasType, type, typeIndexID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoClassSet()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP

      `addToIndexes, addToIndexes, equals, getAddress, getCAS, getCASImpl, getLowLevelCas, getTypeIndexID, hashCode, removeFromIndexes, removeFromIndexes`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl

      `clone, getavoidcollisionTypeCode, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoClassSet

          public NoClassSet()

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.